明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2021|回复: 4

C#获取块属性错误,怎么回事?

[复制链接]
发表于 2010-4-21 11:15:00 | 显示全部楼层 |阅读模式

 [CommandMethod("tt", CommandFlags.Session)]
        private bool GetSize(string filepath)
        {
            bool revBool = false;

            axd.Application.DocumentManager.Open(filepath);

            Database db = axd.Application.DocumentManager.MdiActiveDocument.Database;   //获取当前活动文档所在的数据库
            Autodesk.AutoCAD.DatabaseServices.TransactionManager tm = db.TransactionManager;    //获取事务处理管理器,用来对数据库进行操作

            using (Transaction ta = tm.StartTransaction())    //启动事务处理
            {
                BlockTable bt = (BlockTable)tm.GetObject(db.BlockTableId, OpenMode.ForRead, false); //获取块表,注意要进行强制类型转换
                BlockTableRecord btr = (BlockTableRecord)tm.GetObject(bt[BlockTableRecord.ModelSpace], OpenMode.ForWrite, false);//获取模型空间所在的块表记录
                Extents3d ext3d = new Extents3d();
                ext3d.AddBlockExtents(btr);
                double x = ext3d.MaxPoint.X - ext3d.MinPoint.X;
                double y = ext3d.MaxPoint.Y - ext3d.MinPoint.Y;

                revBool = x > y;               
               
                ta.Dispose();
            }
            tm.Dispose();
            db.Dispose();

            return revBool;
        }

各位朋友,我的代码如上,如是调用该方法时,却出现以下错误:

找不到指定的模块:(异常来自:0x8007008E)

大家帮帮忙,谢谢了。

发表于 2010-4-21 13:30:00 | 显示全部楼层

你的调用方式的问题

NetApi只能在进程内的方式调用

你是外部程序吧

 楼主| 发表于 2010-4-21 14:07:00 | 显示全部楼层

多谢你的回答,我这个是在外部程序里写的.

应该怎么处理呢?

发表于 2010-4-21 19:33:00 | 显示全部楼层
外部程序只能用Com了,呵呵
发表于 2010-4-26 22:03:00 | 显示全部楼层

到这一步

attdef.Prompt = "Room Number"

就出错了

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 03:28 , Processed in 0.149158 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表